Fetch Application Monitoring Summary

Fetch Application Monitoring Summary
Get application monitoring summary counts

Retrieve a summary count of applications grouped by monitoring status for a specified time interval.

Returns three counters:

  • apps_with_unprotected_flows - applications with flows that bypassed all specific DFW allow rules
  • apps_with_custom_rule_hits - applications where user-configured additional monitoring rules were hit
  • apps_with_no_hits - applications with no flows hitting the default any-any rule and no flows hitting additional monitoring rules

Use this endpoint to populate the summary cards at the top of the Application Monitoring dashboard. To drill into specific applications, follow up with POST /monitoring/applications/results-by-app.

Request
URI
POST
https://{api_host}/intelligence/monitoring/applications/summary
COPY
Request Body

Time range and optional filters

AppMonitoringTimeSeriesInfoRequest of type(s) application/json
Required  
{
    "time_selection": {
        "start_time": 1781806091654
    }
}
object
time_selection
Optional

Time parameters for querying monitoring data. Specifies the start time for the query window, with the end time implicitly set to the current time. The system will examine monitoring metrics from the specified start_time to now.

string
application_type
Optional

Specifies the priority level of the application.

Enumeration: REGULAR, CRITICAL
array of string
id
Optional

Identifier (uuid) for an application to include in monitoring results.

Authentication
This operation uses the following authentication methods.
Responses
200

OK. Successfully retrieved application monitoring summary.

Returns ApplicationMonitoringSummary of type(s) application/json
{
    "apps_with_unprotected_flows": 0,
    "apps_with_custom_rule_hits": 0,
    "apps_with_no_hits": 2
}
integer As int32 As int32
apps_with_unprotected_flows
Optional

Number of applications where at least one flow hit the default any-any rule (src=ANY, dst=ANY, service=ANY), indicating traffic that is not covered by any specific DFW allow rule.

Notes:

  • Applications with unprotected flows represent potential security exposure and should be reviewed.
integer As int32 As int32
apps_with_custom_rule_hits
Optional

Number of applications where user-configured additional monitoring rules were matched during the interval.

integer As int32 As int32
apps_with_no_hits
Optional

Number of applications with no monitoring activity in the interval.

Notes:

  • This can occur when there are no flows hitting the default any-any rule and no flows hitting user configured additional monitoring rules.

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/monitoring/applications/summary